# AutoUssdFlutter

![](https://img.shields.io/badge/version-2.0.0--alpha-blue) ![](https://img.shields.io/badge/platform-flutter--android-brightgreen) ![](https://img.shields.io/badge/min%20flutter%20version-2.5.3-orange) ![](https://img.shields.io/badge/min%20android%20sdk%20version-API%2023-orange)

[AutoUssd](https://autoussd.com) is a powerful USSD automation SDK for Android which allows you to build Android applications on top of USSD services. Find out more on our [website](https://autoussd.com).

**AutoUssdFlutter** is the Flutter plugin for AutoUssd.

## Requirements

- Flutter 2.5.3 or higher
- Your app's android component must must target a `minSdkVersion` of **23** or higher

## Installation

```bash
flutter pub add autoussdflutter
```

## Setup

AutoUssdFlutter uses the new [AndroidX Activity Result APIs](https://developer.android.com/training/basics/intents/result#kotlin) which means your `MainActivity` must inherit from a [ComponentActivity](https://developer.android.com/reference/androidx/activity/ComponentActivity) or a sub-class of it. Follow the steps below to modify your `MainActivity` accordingly:

1. Open your `MainActivity.kt` in the Android module of your Flutter app.
   If your package name is `com.example.product`, your `MainActivity.kt` will be located at `/android/app/src/kotlin/com/example/product/MainActivity.kt`

2. Your file should look like the sample below:

   ```kotlin
   package com.example.product
   
   import io.flutter.embedding.android.FlutterActivity
   
   class MainActivity: FlutterActivity() {
   }
   ```

3. Change your `MainActivity.kt` to look like this

   ```kotlin
   package com.example.product
   
   import io.flutter.embedding.android.FlutterFragmentActivity
   
   class MainActivity: FlutterFragmentActivity() {
   }
   ```

Awesome. Now you are ready to start using the SDK.

## Usage

Click [here](https://autoussd.com/docs) to visit our beginner-friendly [guide](https://autoussd.com/docs) to get started with AutoUssd.
